CK_HS_STAT(3)

NAME
ck_hs_stat - get hash set status

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
void
ck_hs_stat(ck_hs_t *hs, struct ck_hs_stat *st);

DESCRIPTION
The ck_hs_stat(3) function will store various hash set statistics in the object pointed to by st. The ck_hs_stat structure is defined as follows:

    struct ck_hs_stat {
    	unsigned long tombstones;   /* Current number of tombstones in hash set. */
    	unsigned long n_entries;    /* Current number of keys in hash set. */
    	unsigned int probe_maximum; /* Longest read-side probe sequence. */
    };

RETURN VALUES
ck_hs_stat(3) has no return value.

ERRORS
Behavior is undefined if hs is uninitialized. Behavior is undefined if this function is called by a non-writer thread.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_grow(3), ck_hs_gc(3), ck_hs_rebuild(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3)

Additional information available at http://concurrencykit.org/